! 	This program demonstrates IF-ELSE statment
!	===================================================
        program f77if3

	implicit none

	integer grade

        print *, "Special: try enter 86..."
	print *
	print *, "Enter grade value = "
	read *, grade

	select case (grade)
	case (90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100)
	   print *
	   print *, "Letter grade is A"
	case (80:85, 87:89)
	   print *
           print *, "Letter grade is B"
	case (70:79)
	   print *
           print *, "Letter grade is C"
	case (60:69)
	   print *
           print *, "Letter grade is D"
	case default
	   print *
           print *, "Letter grade is F"
	end select

	print *

	end
